Get Division First Place
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/first-place \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/first-place"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/first-place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current": {
"player_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"rounds_held": 123,
"score": 123,
"gap_history": [
{
"at": "2023-11-07T05:31:56Z",
"score": 123,
"gap_to_second": 123
}
],
"player_name": "<string>",
"second_player_id": "<string>",
"second_player_name": "<string>",
"gap_to_second": 123,
"taken_from_player_id": "<string>",
"taken_from_player_name": "<string>"
},
"reign_count": 123,
"longest_prior_reign_started_at": "2023-11-07T05:31:56Z",
"longest_prior_reign_ended_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Divisions & leaderboards
Get Division First Place
GET
/
v2
/
divisions
/
{division_id}
/
first-place
Get Division First Place
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$⌘I

